Check whether the current authenticated customer has pending comments on a content item
GET/cms/content/{id}/comments/pending
GET
/cms/content/{id}/comments/pending
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Content ID or slug
Responses
Section titled “Responses”Pending comments status for the current customer
object
has_pending_comments
Whether the current customer has pending comments on this content
boolean
count
Number of pending comments by the current customer on this content
integer
data
The pending comments themselves
Array<object>
ArticleCommentAPI representation of an article comment
object
id
Comment ID
string
signature
Signature
string
status
Status
string
admin
Admin flag
integer
itemid
Content ID
integer
itemurl
Content URL
string
itemtitle
Content Title
string
postername
Poster name
string
posteremail
Poster email (masked for privacy)
string
posterimage
Poster image
string
poster_id
Poster ID
timestamp
Timestamp
string
comment
Comment
string
likes
Likes
integer
dislikes
Dislikes
integer
replies
Array<object> recursive
file
File
string
file_type
File type
string
file_duration
File duration
lastEdited
Last edited
string
metadata
Metadata
object
rating
Rating given by the user
integer format: int32
Unauthorized
Content not found